devel/range-v3 - The NetBSD Packages Collection

Range library for C++14/17/20, basis for std::ranges in C++20

Range library for C++14/17/20. This code was the basis of a formal proposal
to add range support to the C++ standard library. That proposal evolved
through a Technical Specification, and finally into P0896R4 "The One Ranges
Proposal" which was merged into the C++20 working drafts in November 2018.

Ranges are an extension of the Standard Template Library that makes its
iterators and algorithms more powerful by making them composable. Unlike
other range-like solutions which seek to do away with iterators, in range-v3
ranges are an abstration layer on top of iterators.

Build dependencies

pkgtools/cwrappers devel/cmake

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfrange-v3-0.10.0nb1.tgz
NetBSD 8.0earmv7hfrange-v3-0.10.0nb1.tgz
NetBSD 8.0earmv7hfrange-v3-0.10.0nb1.tgz
NetBSD 8.0i386range-v3-0.10.0nb1.tgz
NetBSD 8.0i386range-v3-0.10.0nb1.tgz
NetBSD 8.0powerpcrange-v3-0.10.0nb1.tgz
NetBSD 8.0powerpcrange-v3-0.10.0nb1.tgz
NetBSD 8.0powerpcrange-v3-0.10.0nb1.tgz
NetBSD 8.0powerpcrange-v3-0.10.0nb1.tgz
NetBSD 8.0x86_64range-v3-0.10.0nb1.tgz
NetBSD 8.0x86_64range-v3-0.10.0nb1.tgz
NetBSD 9.0aarch64range-v3-0.10.0nb1.tgz
NetBSD 9.0aarch64range-v3-0.10.0nb1.tgz
NetBSD 9.0aarch64range-v3-0.10.0nb1.tgz
NetBSD 9.0alpharange-v3-0.10.0nb1.tgz
NetBSD 9.0alpharange-v3-0.10.0nb1.tgz
NetBSD 9.0alpharange-v3-0.10.0nb1.tgz
NetBSD 9.0earmrange-v3-0.10.0nb1.tgz
NetBSD 9.0earmrange-v3-0.10.0nb1.tgz
NetBSD 9.0earmrange-v3-0.10.0nb1.tgz
NetBSD 9.0earmv6hfrange-v3-0.10.0nb1.tgz
NetBSD 9.0earmv6hfrange-v3-0.10.0nb1.tgz
NetBSD 9.0earmv6hfrange-v3-0.10.0nb1.tgz
NetBSD 9.0earmv7hfrange-v3-0.10.0nb1.tgz
NetBSD 9.0earmv7hfrange-v3-0.10.0nb1.tgz
NetBSD 9.0earmv7hfrange-v3-0.10.0nb1.tgz
NetBSD 9.0earmv7hfrange-v3-0.10.0nb1.tgz
NetBSD 9.0i386range-v3-0.10.0nb1.tgz
NetBSD 9.0i386range-v3-0.10.0nb1.tgz
NetBSD 9.0i386range-v3-0.10.0nb1.tgz
NetBSD 9.0mips64ebrange-v3-0.10.0nb1.tgz
NetBSD 9.0mips64ebrange-v3-0.10.0nb1.tgz
NetBSD 9.0mips64ebrange-v3-0.10.0nb1.tgz
NetBSD 9.0mips64ebrange-v3-0.10.0nb1.tgz
NetBSD 9.0mips64ebrange-v3-0.10.0nb1.tgz
NetBSD 9.0powerpcrange-v3-0.10.0nb1.tgz
NetBSD 9.0powerpcrange-v3-0.10.0nb1.tgz
NetBSD 9.0powerpcrange-v3-0.10.0nb1.tgz
NetBSD 9.0powerpcrange-v3-0.10.0nb1.tgz
NetBSD 9.0sparc64range-v3-0.10.0nb1.tgz
NetBSD 9.0sparc64range-v3-0.10.0nb1.tgz
NetBSD 9.0sparc64range-v3-0.10.0nb1.tgz
NetBSD 9.0sparcrange-v3-0.10.0nb1.tgz
NetBSD 9.0sparcrange-v3-0.10.0nb1.tgz
NetBSD 9.0sparcrange-v3-0.10.0nb1.tgz
NetBSD 9.0sparcrange-v3-0.10.0nb1.tgz
NetBSD 9.0sparcrange-v3-0.10.0nb1.tgz
NetBSD 9.0x86_64range-v3-0.10.0nb1.tgz
NetBSD 9.0x86_64range-v3-0.10.0nb1.tgz
NetBSD 9.0x86_64range-v3-0.10.0nb1.tgz
NetBSD 9.0x86_64range-v3-0.10.0nb1.tgz
NetBSD 9.0x86_64range-v3-0.10.0nb1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.